View Issue Details

IDProjectCategoryView StatusLast Update
0002223Far ManagerFile Maskspublic2013-01-15 12:50
ReporterartkasAssigned To2useven10 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002223: Bad date time format at time 00:01
Descriptionexamalpe
Windows explorer view 2012.07.08 00:01
Far Manager view 2012.07.07 23:01:00
My regional setting UTC +02:00 Helsinki, Kyiv, Riga, Sofia, Tallin, Vilnius
Probalby this error in all UTC
Error in all far version 1.x, 2.x, 3.x
TagsNo tags attached.
Build3022

Activities

artkas

2012-12-11 17:46

reporter  

date-time-bug.jpg (249,450 bytes)
date-time-bug.jpg (249,450 bytes)

2useven10

2012-12-11 18:23

developer   bugnote:0009810

что показывает dir ?

2useven10

2012-12-12 10:09

developer   bugnote:0009817

странно, что этот m$ focus ещё не исправлен.
надо догонять гислера...
http://ghisler.ch/board/viewtopic.php?p=218382

2useven10

2012-12-12 18:56

developer   bugnote:0009835

Last edited: 2012-12-15 15:12

View 2 revisions

да, как то я раньше этой темы не касался, m$ не ходит прямыми путями...
для ntfs пофиксить несложно, но тогда fat показывается криво.

artkas

2012-12-13 18:39

reporter   bugnote:0009849

DIR показывает так как и FAR,
M$ dir тоже надо исправлять :)

artkas

2012-12-13 18:42

reporter  

date-time-MS-bug.jpg (284,702 bytes)

2useven10

2012-12-15 13:26

developer   bugnote:0009872

3019 - проверяйте.

samlyukov

2012-12-15 15:55

reporter   bugnote:0009873

а такие функции SystemTimeToTzSpecificLocalTime/TzSpecificLocalTimeToSystemTime были в вин 2000?

2useven10

2012-12-15 16:03

developer   bugnote:0009874

согласно MSDN - одна из них win2000+, другая xp,2003+.
заменённые ими FileTimeTo... обе xp,2003+
работоспособность под 2000 sp? надо проверять, мне сейчас не на чем.
если у кого-то есть возможность, было бы очень неплохо...

samlyukov

2012-12-15 16:06

reporter   bugnote:0009875

FileTimeToLocalFileTime/FileTimeToSystemTime с 95+

samlyukov

2012-12-15 16:07

reporter   bugnote:0009876

Far - это работающая в текстовом режиме программа управления файлами для Windows 2000/XP/2003/Vista/2008/7/8

samlyukov

2012-12-15 16:18

reporter   bugnote:0009877

из описания в инете TzSpecificLocalTimeToSystemTime не работает под 2000. дистрибутив с 2000 куда-то задевал не могу глянуть в kernel32.dll

2useven10

2012-12-15 16:21

developer   bugnote:0009878

2000 sp-не помню плюс upfate-не помню...
в текущем msdn 9х не упоминается.
надо проверять...

samlyukov

2012-12-15 16:53

reporter   bugnote:0009879

тык мелкомягкие грохнули масдай поэтому и нет упоминания в описании. в общем спорный патч. ладно что в ночнике пока.

2useven10

2012-12-15 17:36

developer   bugnote:0009880

TzSpecificLocalTimeToSystemTime - не работает (проверил).
Это я поправлю (попозже).
Сейчас мне важнее получить фидбэк по сабжу - правильно ли отображается время.

2useven10

2012-12-15 21:13

developer   bugnote:0009881

3021 - на win2k работает.
правда 2 плагина не грузятся. но это другая история:
brackets и editcase требуют EncodePointer, не поправлены, после того, как им требуется рантайм.

samlyukov

2012-12-15 21:27

reporter   bugnote:0009882

после правки Алекса стало совсем замечательно )

Issue History

Date Modified Username Field Change
2012-12-11 17:46 artkas New Issue
2012-12-11 17:46 artkas File Added: date-time-bug.jpg
2012-12-11 18:23 2useven10 Note Added: 0009810
2012-12-12 10:09 2useven10 Note Added: 0009817
2012-12-12 18:56 2useven10 Note Added: 0009835
2012-12-13 18:39 artkas Note Added: 0009849
2012-12-13 18:42 artkas File Added: date-time-MS-bug.jpg
2012-12-15 13:26 2useven10 Note Added: 0009872
2012-12-15 13:26 2useven10 Assigned To => 2useven10
2012-12-15 13:26 2useven10 Status new => feedback
2012-12-15 15:12 2useven10 Note Edited: 0009835 View Revisions
2012-12-15 15:55 samlyukov Note Added: 0009873
2012-12-15 16:03 2useven10 Note Added: 0009874
2012-12-15 16:06 samlyukov Note Added: 0009875
2012-12-15 16:07 samlyukov Note Added: 0009876
2012-12-15 16:18 samlyukov Note Added: 0009877
2012-12-15 16:21 2useven10 Note Added: 0009878
2012-12-15 16:53 samlyukov Note Added: 0009879
2012-12-15 17:36 2useven10 Note Added: 0009880
2012-12-15 21:13 2useven10 Note Added: 0009881
2012-12-15 21:27 samlyukov Note Added: 0009882
2013-01-15 12:50 2useven10 Build => 3022
2013-01-15 12:50 2useven10 Status feedback => closed
2013-01-15 12:50 2useven10 Resolution open => fixed
2013-01-15 12:50 2useven10 Fixed in Version => 3.0